Skip to main content
GET
List and query pages

Authorizations

Authorization
string
header
required

OAuth2 Authorization Code flow

Query Parameters

expand
string

Comma-separated fields to expand. Supports field selection, e.g. "targets.company", "targets.company[icon,tradeName]", "runSessionId.status", "runSessionId.userId" or "url".

Example:

"createdBy"

page_size
number
default:100

Number of items per page (default 100)

Required range: 1 <= x <= 100
Example:

100

start_cursor
string

Cursor for pagination

Example:

"eyJjcmVhdGVkX3RpbWUiOiIyMDI0LTExLTE1VDEwOjAwOjAwLjAwMFoiLCJpZCI6InBhZ2VfYWJjMTIzIn0="

filter
string

Stripe-like search query

Example:

"agent.type:\"agent_id\""

sort
string

Sort field and direction, e.g. "created_at:asc" or "created_at:desc" (default)

Example:

"created_at:desc"

Response

200 - application/json

List of pages

object
string
required
Example:

"list"

results
object[]
required
has_more
boolean
required
next_cursor
string | null
type
string